      subroutine fillvec3 ( vec, nxa, nya, nza, 
     .  sl1, sl2, sl3, sl4, sl5, sl6)
c ======================================================================
c
c
c        programmer     Jos van Kan
c        version 1.0    date   10-03-97
c
c
c
c   copyright (c) 1997
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   author.
c
c   pilotcode 3d mgpackage
c
c ********************************************************************
c
c                         DESCRIPTION
c
c ********************************************************************
c
c                      KEYWORDS
c
c ********************************************************************
c
c         MODULES USED
c
      use mgpreset
c
c **********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      integer sl1, sl2, sl3, sl4, sl5, sl6
      integer nxa, nya, nza
      double precision
     .  vec (1-sl1:nxa+sl2, 1-sl3:nya+sl4,
     .       1-sl5:nza+sl6)
c
c ********************************************************************
c
c                      COMMON BLOCKS
c
c ********************************************************************
c
c                      LOCAL PARAMETERS
      integer ixa, iya, iza
      double precision dx, dy, dz
c
c ********************************************************************
c
c                      SUBROUTINES CALLED
c
c     
c ********************************************************************
c
c                      I/O
c
c ********************************************************************
c
c                      ERROR MESSAGES
c
c ********************************************************************
c
c                      PSEUDO CODE
c
c ======================================================================
      dx = 1d0/(nxa+1)
      dy = 1d0/(nya+1)
      dz = 1d0/(nza+1)
      do ixa = 1, nxa
      do iya = 1, nya
      do iza = 1, nza
         vec (ixa, iya, iza) = dx*dy*dz
      end do
      end do
      end do

      end
